cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stefania (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-9451) Startup message response for unsupported protocol versions is incorrect
Date Mon, 19 Oct 2015 08:43:05 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-9451?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14962983#comment-14962983
] 

Stefania commented on CASSANDRA-9451:
-------------------------------------

cqlsh version 5.0.1 hasn't changed for some time and it is the same from 2.1.4+ till 2.2 HEAD
so it doesn't help much. The way I understood it is that the examples use either 2.1.9 or
2.2.1 cqlsh to connect to another host running cassandra 2.1.4. I'm quite sure this is the
case at least in the example that works since in {{\[cqlsh 5.0.1 | Cassandra 2.1.4 | CQL spec
3.2.0 | Native protocol v3\]}} the version after Cassandra is the {{release_version}} from
{{system.local}}.

Regardless, I verified that cqlsh 2.1 HEAD and 2.2 HEAD can connect to a 2.1 HEAD server using
the following command:

{code}
SSL_VALIDATE=false SSL_CERTFILE=/home/stefania/git/cstar/cassandra/conf/ca.cert ./bin/cqlsh
--cqlversion=3.2.1 --ssl
{code}

> Startup message response for unsupported protocol versions is incorrect
> -----------------------------------------------------------------------
>
>                 Key: CASSANDRA-9451
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-9451
>             Project: Cassandra
>          Issue Type: Bug
>         Environment: OS X 10.9
> Cassandra 2.1.5 
>            Reporter: Jorge Bay
>            Assignee: Stefania
>              Labels: client-impacting
>             Fix For: 2.1.6, 2.2.0 rc1
>
>         Attachments: 9451.txt
>
>
> The response to a STARTUP request with protocol v4 on a C* 2.1 host is an error with
an incorrect error code (0). 
> Instead of the error code being "Protocol error" ({{0x000A}}) it has error code 0 and
message (wrapped by netty): 
> {{"io.netty.handler.codec.DecoderException: org.apache.cassandra.transport.ProtocolException:
Invalid or unsupported protocol version: 4"}}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message